---

version: "3.7"

services:

  nodejs:
    build:
      context: ./containers/nodejs
      args:
        - REDIS_HOST=redis
        - REDIS_PORT=${REDIS_PORT}
      labels:
        - net.technainstitute.hak/project=${PROJECT}
        - net.technainstitute.hak/appName=${APP_NAME}
        - net.technainstitute.hak/containerName=nodejs
        - net.technainstitute.hak/version=${CHART_VERSION}
        - net.technainstitute.hak/gitStateIsClean=${GIT_IS_CLEAN}
    image: ${LOCAL_NODEJS_CONTAINER_IMAGE}
    env:
      - REDIS_HOST=redis
      - REDIS_PORT=${REDIS_PORT}
    ports:
      - target: "${NODEJS_PORT}"

  redis:
    build:
      context: ./containers/redis
      labels:
        - net.technainstitute.hak/project=${PROJECT}
        - net.technainstitute.hak/appName=${APP_NAME}
        - net.technainstitute.hak/containerName=redis
        - net.technainstitute.hak/version=${CHART_VERSION}
        - net.technainstitute.hak/gitStateIsClean=${GIT_IS_CLEAN}
    image: ${LOCAL_REDIS_CONTAINER_IMAGE}
    expose:
      - ${REDIS_PORT}
